Overview
GET/integration/integration-financial-transactions/{id}integration

Get integration_financial_transactions by id

Fetch a record from integration-financial-transactions by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

integration_financial_transactions

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • connectionIdstring
  • externalIdstring
  • accountIdstring
  • accountNamestring?
  • institutionNamestring?
  • amountstring
  • currencystring
  • namestring
  • merchantNamestring?
  • categorystring?
  • categoryDetailedstring?
  • transactionDatestring
  • authorizedDatestring?
  • pendingboolean
  • logoUrlstring?
  • isDeletedboolean
  • syncVersioninteger
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "accountId": "string",
  "accountName": "string",
  "institutionName": "string",
  "amount": "string",
  "currency": "string",
  "name": "string",
  "merchantName": "string",
  "category": "string",
  "categoryDetailed": "string",
  "transactionDate": "string",
  "authorizedDate": "string",
  "pending": true,
  "logoUrl": "string",
  "isDeleted": true,
  "syncVersion": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-financial-transactions/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-financial-transactions/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();